
\part{Report}
This section is a report about the things that have been done in swTools, and about the things it would be good to develop, 
at the time of the redaction of this manual.


\section{Want have been done}
\begin{itemize}
% TODO : With many details
	\item TODO
\end{itemize}


\section{Want would be interresting to have}
\begin{description}
% TODO :REVOIR TODO TODO
	\item[Somewhere Instance and Queries in-depth Analysis] Some analysis have already been implemented, but it would be interresting to have the programs compute some complex graph properties of peers and global theories, like (but not limited to) the clustering coefficient, the algebric connectivity, or the strength of the graphes.
	\item[Somewhere XML Instances and Queries] The Support for XML configuration for instances and queries is not implemented yet. This is a requirement to support SomewherePlusJXTA.
	\item[SomewherePlusJXTA Support] This requires the support for XML configuration files, and JXTA deployments support.
	\item[Local deployments] The possibility to deploy an experiement in the local computer, without using a grid, or on multiples personnals computer, without using any grid registration programs.
	\item[Parallel Deployments] The possibility to deploy many experiements in parallel, on the same cluster, or on multiple clusters.
	\item[Somewhere : Support for many literals queries for queries generation] The current implementation of queries generation only generate queries with one literal.
\end{description}

